<?php

namespace Canope\PreacBundle\Service;

/**
 * Description de Query
 *
 * @author sophie.groleau
 */
class Query extends \Twig_Extension
{

	protected $doctrine;

	public function __construct($doctrine)
	{
		$this->doctrine = $doctrine;
	}

	public function getName()
	{
		return 'querycanope_extension';
	}

	public function getFunctions(){
		return array(
			new \Twig_SimpleFunction('listofauteurswithtwig', array($this, 'retrievealltheauteurs')),
			new \Twig_SimpleFunction('retrieveaauteurwithtwig', array($this, 'retrieveaauteur')),
		);
	}

	public function retrievealltheauteurs(){
		$em = $this->doctrine->getManager();
		$auteurs = $em->getRepository('CanopePreacBundle:Auteur')->findAll();
		return $auteurs;
		// {% for auteur in listofauteurswithtwig() %}
		// 	{{ auteur.username }}
		// {% endfor %}
	}

	public function retrieveaauteur($id){
		$em = $this->doctrine->getManager();
		$auteur = $em->getRepository('CanopePreacBundle:Auteur')->find($id);
		return $auteur;
		// {{ retrieveaauteurwithtwig(6).username }}
	}

}